## mtail 0.0+git20160716.f911b02

=== debian/changelog ===
mtail (0.0+git20160716.f911b02-1) unstable; urgency=medium

  * Don't run race tests on any arch except amd64. Closes: #831724.
  * New upstream snapshot.
  * Conflict with monkeytail, which provides a binary with the same
    name. Closes: #831863.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Jul 2016 16:27:55 +0000

mtail (0.0+git20160704.35c4023-1) unstable; urgency=medium

  * Initial release. (Closes: #830785)

 -- Martín Ferrari <tincho@debian.org>  Mon, 18 Jul 2016 00:09:49 +0000
