## mtail 0.0+git20161027.a7b3e3c

=== debian/changelog ===
mtail (0.0+git20161027.a7b3e3c-1) unstable; urgency=medium

  * New upstream release.
  * Remove unneeded and incorrect watch file.
  * Refresh debian/rules.
  * Patch the code to use spf13's version of afero.
  * Add golang-golang-x-tools as dependency, for goyacc.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Nov 2016 21:06:17 +0000
