=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
                golang-github-kylelemons-godebug-dev,
                golang-github-spf13-afero-dev,
                golang-glog-dev,
+               golang-golang-x-tools,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git/
 Homepage: https://github.com/google/mtail/
+XS-Go-Import-Path: github.com/google/mtail
 
 Package: mtail
 Architecture: any
