## mtail 0.0+git20161231.ae129e9

=== Makefile ===
--- 
+++ 
@@ -69,8 +69,8 @@
 emgen/emgen: emgen/emgen.go
 	cd emgen && go build
 
-.PHONY: test 
-test: $(GOFILES) $(GOTESTFILES) .dep-stamp
+.PHONY: test check 
+check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 60s ./...
 
 .PHONY: testrace
@@ -122,7 +122,7 @@
 install_gen_deps: .gen-dep-stamp
 
 .gen-dep-stamp:
-	go get -u golang.org/x/tools/cmd/goyacc
+	go get golang.org/x/tools/cmd/goyacc
 	touch $@
 
 .PHONY: install_coverage_deps
