=== debian/changelog ===
mtail (0.0+git20161231.ae129e9-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove now unneeded patch.
  * Switch to golang-go, as this does not seem to work under gccgo.

 -- Martín Ferrari <tincho@debian.org>  Sat, 14 Jan 2017 07:17:00 +0000
