=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               golang-any,
+               golang-go,
                dh-golang (>= 1.17~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-kylelemons-godebug-dev,
