=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail

export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ vm/parser.y

# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_test:
	GOPATH=$(BUILDDIR) go test -v -timeout 60s $(DH_GOPKG)
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
endif

override_dh_auto_install:
	dh_auto_install -- --no-source
