## mtail 3.0.0~rc1+git20170727.6db685b

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	exporter/statsd.go\
 	exporter/varz.go\
 	main.go\
-	metrics/datum.go\
+	metrics/datum/datum.go\
+	metrics/datum/int.go\
 	metrics/metric.go\
 	metrics/store.go\
 	mtail/mtail.go\
@@ -36,6 +37,9 @@
 	exporter/json_test.go\
 	exporter/prometheus_test.go\
 	exporter/varz_test.go\
+	metrics/datum/int_test.go\
+	metrics/metric_test.go\
+	metrics/store_test.go\
 	mtail/mtail_test.go\
 	tailer/tail_test.go\
 	testdata/reader.go\
@@ -45,6 +49,7 @@
 	vm/lexer_test.go\
 	vm/parser_test.go\
 	vm/symtab_test.go\
+	vm/types_test.go\
 	vm/vm_test.go\
 	watcher/fake_watcher_test.go\
 	watcher/log_watcher_test.go\
@@ -60,8 +65,11 @@
 clean:
 	rm -f $(CLEANFILES) .*dep-stamp
 
+version := $(shell git describe --tags)
+revision := $(shell git rev-parse HEAD)
+
 install mtail: $(GOFILES) .dep-stamp
-	go install
+	go install -ldflags "-X main.Version=${version} -X main.Revision=${revision}"
 
 vm/parser.go: vm/parser.y .gen-dep-stamp
 	go generate -x ./vm
@@ -71,23 +79,30 @@
 
 .PHONY: test check 
 check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s ./...
+	go test -v -timeout 60s ./... ./testdata
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 5m -race ./...
+	go test -v -timeout 5m -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 10s -test.short ./...
+	go test -v -timeout 10s -test.short ./... ./testdata
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -bench=. -timeout 60s -run=XXX ./...
+	go test -bench=. -timeout=60s -run=XXX ./... ./testdata
+
+.PHONY: bench_cpu
+bench_cpu:
+	go test -bench=. -run=TestExample -timeout=60s -cpuprofile=cpu.out
+.PHONY: bench_mem
+bench_mem:
+	go test -bench=. -run=TestExample -timeout=60s -memprofile=mem.out
 
 .PHONY: recbench
 recbench: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -bench=. -run=XXX --record_benchmark ./...
+	go test -bench=. -run=XXX --record_benchmark ./... ./testdata
 
 .PHONY: coverage
 coverage: gover.coverprofile
@@ -109,8 +124,8 @@
 .PHONY: install_deps
 install_deps: .dep-stamp
 
-IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... | sort | uniq | grep -v mtail)
-TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v mtail)
+IMPORTS := $(shell go list -f '{{join .Imports "\n"}}' ./... ./testdata | sort | uniq | grep -v mtail)
+TESTIMPORTS := $(shell go list -f '{{join .TestImports "\n"}}' ./... ./testdata | sort | uniq | grep -v mtail)
 
 .dep-stamp:
 	# Install all dependencies, ensuring they're updated
