=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                golang-github-spf13-afero-dev,
                golang-glog-dev,
                golang-golang-x-tools,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git/
 Homepage: https://github.com/google/mtail/
 XS-Go-Import-Path: github.com/google/mtail
+Testsuite: autopkgtest-pkg-go
 
 Package: mtail
 Architecture: any
