## mtail 3.0.0~rc4

=== Makefile ===
--- 
+++ 
@@ -79,15 +79,15 @@
 
 .PHONY: test check 
 check test: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s ./... ./testdata
+	go test -v -timeout 10s ./... ./testdata
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 5m -race ./... ./testdata
+	go test -v -timeout 60s -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 10s -test.short ./... ./testdata
+	go test -v -timeout 1s -test.short ./... ./testdata
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
@@ -95,10 +95,10 @@
 
 .PHONY: bench_cpu
 bench_cpu:
-	go test -bench=. -run=TestExample -timeout=60s -cpuprofile=cpu.out
+	go test -bench=. -run=XXX -timeout=60s -cpuprofile=cpu.out
 .PHONY: bench_mem
 bench_mem:
-	go test -bench=. -run=TestExample -timeout=60s -memprofile=mem.out
+	go test -bench=. -run=XXX -timeout=60s -memprofile=mem.out
 
 .PHONY: recbench
 recbench: $(GOFILES) $(GOTESTFILES) .dep-stamp
