=== debian/changelog ===
mtail (3.0.0~rc4-1) unstable; urgency=high

  * New upstream snapshot, with bug fixes.
  * debian/rules: Fix compilation on mips* (raising urgency).
  * debian/control: Depend of specific version of spf13/afero.
  * Add new dependency on go-cmp.
  * Remove now unneeded go-deep vendoring.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 Oct 2017 11:23:40 +0000

mtail (3.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Stop generating emgen binary, it is only used for tests.
  * Properly set version and revision variables.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Mon, 04 Sep 2017 02:07:43 +0000
