## mtail 3.0.0~rc5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,11 @@
 # Copyright 2011 Google Inc. All Rights Reserved.
 # This file is available under the Apache license.
+
+ifeq ($(TRAVIS),true)
+timeout := 5m
+else
+timeout := 60s
+endif
 
 GOFILES=\
 	exporter/collectd.go\
@@ -83,11 +89,15 @@
 
 .PHONY: testrace
 testrace: $(GOFILES) $(GOTESTFILES) .dep-stamp
-	go test -v -timeout 60s -race ./... ./testdata
+	go test -v -timeout ${timeout} -race ./... ./testdata
 
 .PHONY: smoke
 smoke: $(GOFILES) $(GOTESTFILES) .dep-stamp
 	go test -v -timeout 1s -test.short ./... ./testdata
+
+.PHONY: ex_test
+ex_test: ex_test.go testdata/* examples/*
+	go test -run TestExamplePrograms -v --logtostderr
 
 .PHONY: bench
 bench: $(GOFILES) $(GOTESTFILES) .dep-stamp
