=== debian/changelog ===
mtail (3.0.0~rc15-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream release candidate.
  * Remove now unneeded patch.
  * Automated cmd fixes.
  * Remove unused lintian override.
  * Bump debhelper compat level to 11.
  * debian/docs: Add documentation.
  * debian/postinst: Do not change permissions recursively.
  * debian/rules: Check DEB_BUILD_OPTIONS before running tests.
  * debian/rules: Remove old cruft.
  * debian/rules: Add missing test files.
  * debian/rules: Add tzdata as dependency.
  * Initscripts: Do not use ENABLED flag, instead use dh_installinit
    flags.
  * Patch a test that might timeout under load.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Jul 2018 03:38:21 +0000
