=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mtail
-Section: net
-Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
-Build-Depends: debhelper (>= 9.0.0),
+Section: net
+Testsuite: autopkgtest-pkg-go
+Priority: optional
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
@@ -12,17 +13,18 @@
                golang-github-spf13-afero-dev (>= 0.0~git20170901),
                golang-glog-dev,
                golang-golang-x-tools,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/mtail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/mtail.git
+               tzdata,
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
+Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/
 XS-Go-Import-Path: github.com/google/mtail
-Testsuite: autopkgtest-pkg-go
 
 Package: mtail
 Architecture: any
 Depends: adduser,
          daemon,
+         tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: monkeytail,
