=== debian/changelog ===
mtail (3.0.0~rc16-1ubuntu1) disco; urgency=medium

  * Build-depend on golang-race-detector-runtime on amd64 to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 17 Nov 2018 23:02:22 -0500

mtail (3.0.0~rc16-1) unstable; urgency=medium

  * New upstream release candidate.
  * Update Standards-Version with no changes.
  * Stop using pristine-tar.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Oct 2018 19:14:01 +0000
