=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mtail
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -13,8 +14,9 @@
                golang-github-spf13-afero-dev (>= 0.0~git20170901),
                golang-glog-dev,
                golang-golang-x-tools,
+               golang-race-detector-runtime [amd64],
                tzdata,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/
