=== debian/changelog ===
mtail (3.0.0~rc19-2) unstable; urgency=high

  * Do not build mgen and mdot, they are used only for development.
    Closes: #921474.

 -- Martín Ferrari <tincho@debian.org>  Thu, 07 Feb 2019 20:58:23 +0000

mtail (3.0.0~rc19-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version with no changes.
  * Refresh patches.
  * debian/rules: Update paths.
  * debian/control: Update dependencies.
  * debian/rules: Update integration test invocation.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Feb 2019 06:04:21 +0000
