=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mtail
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -9,14 +8,13 @@
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev,
-               golang-github-kylelemons-godebug-dev,
-               golang-github-spf13-afero-dev (>= 0.0~git20170901),
+               golang-github-pkg-errors-dev,
                golang-glog-dev,
                golang-golang-x-tools,
-               golang-race-detector-runtime [amd64],
                tzdata,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/
