## mtail 3.0.0~rc24.1

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,10 @@
 	rm -f *.coverprofile coverage.html $(COVERPROFILES)
 crossclean:
 	rm -rf build
+
+.PHONY: lint
+lint:
+	golangci-lint run ./...
 
 version := $(shell git describe --tags --always --dirty)
 revision := $(shell git rev-parse HEAD)
@@ -141,11 +145,11 @@
 	gox --output="./build/mtail_${release}_{{.OS}}_{{.Arch}}" -osarch=$(GOX_OSARCH) -ldflags $(GO_LDFLAGS) ./cmd/mtail
 
 .PHONY: test check
-check test: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+check test: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -timeout 10s ./...
 
 .PHONY: testrace
-testrace: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+testrace: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -timeout ${timeout} -race -v -tags=integration ./...
 
 .PHONY: smoke
@@ -227,7 +231,7 @@
 
 coverage: coverprofile
 
-coverprofile: $(GOFILES) $(GOGENFILES) | $(LOGO_GO) .dep-stamp
+coverprofile: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(LOGO_GO) .dep-stamp
 	go test -v -covermode=count -coverprofile=$@ -tags=integration -timeout=${timeout} $(PACKAGES)
 
 coverage.html: coverprofile
