=== debian/changelog ===
mtail (3.0.0~rc24.1-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build-depend on golang-race-detector-runtime on amd64 to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 27 Apr 2019 18:02:05 -0400

mtail (3.0.0~rc24.1-1) unstable; urgency=medium

  * New upstream release (plus one commit).
  * Add new dependency on prometheus/client_golang.

 -- Martín Ferrari <tincho@debian.org>  Fri, 01 Mar 2019 16:38:55 +0000
