=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mtail
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -11,8 +12,10 @@
                golang-github-golang-groupcache-dev,
                golang-github-google-go-cmp-dev,
                golang-github-pkg-errors-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-glog-dev,
                golang-golang-x-tools,
+               golang-race-detector-runtime [amd64],
                tzdata,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
