=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 #export DH_VERBOSE=1
 export DH_GOPKG := github.com/google/mtail
-export DH_GOLANG_EXCLUDES := /emgen
-export DH_GOLANG_INSTALL_EXTRA := examples/ testdata/ \
-    testutil/reader_test.golden vm/parser.y
+export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
+export DH_GOLANG_INSTALL_EXTRA := examples/ \
+    internal/mtail/golden/ internal/mtail/testdata/ \
+    internal/vm/parser/parser.y
 # Build parser.go
 export DH_GOLANG_GO_GENERATE := 1
 
@@ -25,7 +26,8 @@
 	dh_auto_test
 	# Only run race tests on amd64.
 	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
-            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race $(DH_GOPKG)
+            GOPATH=$(BUILDDIR) go test -v -timeout 5m -race -tags=integration \
+                $(DH_GOPKG)/...
 endif
 
 override_dh_installinit:
